Net::DNS::RR::MX(3)

NAME
Net::DNS::RR::MX - DNS MX resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Mail Exchanger (MX) resource records.

METHODS

  preference
    print "preference = ", $rr->preference, "\n";

Returns the preference for this mail exchange.

  exchange
    print "exchange = ", $rr->exchange, "\n";

Returns name of this mail exchange.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt. Portions Copyright (c) 2005 Olaf Kolkman NLnet Labs.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 1035 Section 3.3.9